local File =  import "java.io.File"

--创建新文件，并写入默认内容
local function createFile(filename, content)
	if nil == content then
		content = ""
	end
	if File(filename).isFile() then
		return false
	end
	local file = io.open(filename, "w")
	file:write(content)
	file:close()
	return true
end


local function init()
	--创建 data 目录
	local dataDir = File(BASE_PATH.."data")
	if not dataDir.isDirectory() then
dataDir.mkdir()
	end

	--创建json文件
	for k, v in pairs(PATH) do
		createFile(v, "{}")
	end
end


return init